### Constructor

# Gio UnixSocketAddress new

since: 2.22

#### Declaration [src]

    GSocketAddress*
    g_unix_socket_address_new (
      const gchar* path
    )

#### Description [src]

Creates a new `GUnixSocketAddress` for `path`.

To create abstract socket addresses, on systems that support that, use g_unix_socket_address_new_abstract().

Available since: 2.22

#### Parameters

`path`

  Type: `const gchar*`

  The socket path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSocketAddress`

A new `GUnixSocketAddress`.

The caller of the function takes ownership of the data, and is responsible for freeing it.